Skip to main content
GET
/
v1
/
accounts
/
{accountId}
/
links
Fetch links
curl --request GET \
  --url https://api.sakari.io/v1/accounts/{accountId}/links \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "pagination": {
    "limit": 123,
    "offset": 123,
    "hasNext": true
  },
  "data": [
    {
      "keyId": "<string>",
      "destinationUrl": "<string>",
      "shortenedUrl": "<string>",
      "id": "<string>",
      "name": "<string>",
      "domain": {
        "id": "<string>",
        "name": "<string>"
      },
      "contactTracking": true,
      "sourceTracking": true,
      "stats": {
        "totalClicks": 123,
        "uniqueClicks": 123,
        "ctr": 123
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

accountId
string
required

Account to apply operations to

Query Parameters

q
string

General search term that searchs accross multiple fields

Response

200 - application/json

successful operation

success
boolean
required
pagination
object
required
data
object[]
required